local opt = vim.opt

-- tabs
opt.tabstop      = 4
opt.softtabstop  = 4
opt.shiftwidth   = 4
opt.expandtab    = true
opt.smartindent  = true

-- search
opt.showmatch  = true
opt.ignorecase = true
opt.smartcase  = true

opt.swapfile = false -- noswapfile
opt.undofile = true -- persistent undo

vim.cmd("syntax on")
opt.termguicolors = true

opt.number         = true
opt.relativenumber = true
opt.numberwidth    = 2
opt.cursorline     = true

opt.splitright = true
opt.splitbelow = true
